curl --request GET \
--url https://api.aisa.one/apis/v1/brave/local/place_search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/local/place_search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/local/place_search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "locations",
"query": {
"original": "<string>",
"altered": "<string>",
"spellcheck_off": true,
"show_strict_warning": true
},
"results": [
{
"title": "<string>",
"url": "<string>",
"provider_url": "<string>",
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true,
"type": "location_result",
"coordinates": {
"[0]": 123,
"[1]": 123
},
"zoom_level": 7,
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
},
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"full_name": "<string>",
"opens": "<string>",
"closes": "<string>"
}
]
]
},
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"price_range": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"distance": {
"value": 123,
"units": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"type": "external",
"long_name": "<string>",
"img": "<string>"
}
],
"reviews": {
"results": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"rating": {
"ratingValue": 1,
"bestRating": 123,
"reviewCount": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"is_tripadvisor": false
},
"author": {
"name": "<string>",
"type": "person",
"url": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"email": "<string>"
},
"review_url": "<string>",
"language": "<string>"
}
],
"viewMoreUrl": "<string>",
"reviews_in_foreign_language": true
},
"pictures": {
"viewMoreUrl": "<string>",
"results": [
{
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
}
]
},
"action": {
"type": "<string>",
"url": "<string>"
},
"serves_cuisine": [
"<string>"
],
"categories": [],
"icon_category": "<string>",
"timezone": "<string>",
"timezone_offset": 123,
"id": "<string>",
"results": [
{
"title": "<string>",
"url": "<string>",
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"favicon": "<string>",
"path": "<string>",
"hostname": "<string>"
},
"is_source_local": false,
"is_source_both": false,
"description": "",
"page_age": "<string>",
"page_fetched": "<string>",
"fetched_content_timestamp": 123,
"profile": {
"name": "<string>",
"url": "<string>",
"long_name": "<string>",
"img": "<string>"
},
"language": "<string>",
"family_friendly": true
}
]
}
],
"cities": [
{
"name": "<string>",
"country": "<string>",
"coordinates": [
123,
123
],
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "city"
}
],
"countries": [
{
"name": "<string>",
"country": "<string>",
"coordinates": [
123,
123
],
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "country"
}
],
"regions": [
{
"name": "<string>",
"country": "<string>",
"coordinates": [
123,
123
],
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "region"
}
],
"neighborhoods": [
{
"name": "<string>",
"country": "<string>",
"coordinates": [
123,
123
],
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"height": 123,
"width": 123,
"bg_color": "<string>",
"original": "<string>",
"logo": true,
"duplicated": true,
"theme": "<string>"
},
"type": "neighborhood"
}
],
"addresses": [
{
"name": "<string>",
"coordinates": [
123,
123
],
"type": "address",
"pois": [],
"pois_nearby": [],
"zoom_level": 15,
"distance": {
"value": 123,
"units": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
}
}
],
"streets": [
{
"name": "<string>",
"coordinates": [
123,
123
],
"type": "address",
"pois": [],
"pois_nearby": [],
"zoom_level": 15,
"distance": {
"value": 123,
"units": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"type": "PostalAddress",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"addressRegion": "<string>",
"addressLocality": "<string>"
}
}
],
"mixed": [],
"location": {
"coordinates": [
123,
123
],
"name": "<string>",
"country": "<string>"
}
}Place Search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The default supported media type is application/json.
application/json, */* "application/json"
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.
no-cache "no-cache"The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.
Query Parameters
Number of results to return. The maximum is 100.
1 <= x <= 100Two-letter country code (ISO 3166-1 alpha-2) to scope the search.
AR, AU, AT, BE, BR, CA, CL, DK, FI, FR, DE, GR, HK, IN, ID, IT, JP, KR, MY, MX, NL, NZ, NO, CN, PL, PT, PH, RU, SA, ZA, ES, SE, CH, TW, TR, GB, US, ALL Optional geolocation of the user in the format <latitude>x<longitude>. Used to calculate distance values in results.
Latitude of the geographical coordinates.
-90 <= x <= 90Location string to search for points of interest in an area.
This is alternative to the latitude and longitude parameters.
- For locations in US prefer the form
<city> <state> <country name>, ie.san francisco ca united states - For non-US locations, use the form
<city> <country name>, ie.tokyo japan - No need for commas or other special chars, capitalization does not matter
- We cover multiple languages:
nueva yorkinstead ofnew yorkworks, but using English or the most popular language on the target city should work the best
Longitude of the geographical coordinates.
-180 <= x <= 180Query string to search for points of interest in an area. If no q is provided, the endpoint will return general points of interest in the given area.
Search radius bias around the given coordinates, in meters. NOTE: This is not strictly the radius of the search (nor the resulting radius of the results), but rather a bias towards results that are closer to the given coordinates. Search is performed globally if no radius is provided.
x >= 0Safe search level for the query results.
off, moderate, strict Language for the search results.
ar, eu, bn, bg, ca, zh-hans, zh-hant, hr, cs, da, nl, en, en-gb, et, fi, fr, gl, de, el, gu, he, hi, hu, is, it, ja, jp, kn, ko, lv, lt, ms, ml, mr, nb, pl, pt-br, pt-pt, pa, ro, ru, sr, sk, sl, es, sv, ta, te, th, tr, uk, vi Whether to apply spellcheck before executing the search.
User interface language for the response. Usually <language>-<region>.
es-AR, en-AU, de-AT, nl-BE, fr-BE, pt-BR, en-CA, fr-CA, es-CL, da-DK, fi-FI, fr-FR, de-DE, el-GR, zh-HK, en-IN, en-ID, it-IT, ja-JP, ko-KR, en-MY, es-MX, nl-NL, en-NZ, no-NO, zh-CN, pl-PL, en-PH, ru-RU, en-ZA, es-ES, sv-SE, fr-CH, de-CH, zh-TW, tr-TR, en-GB, en-US, es-US Units of measurement for distance values: metric is kilometres, imperial is miles.
imperial, metric Response
Successful Response
locations "locations"The query object containing the original and potentially spell-corrected query.
Show child attributes
Show child attributes
The list of points of interest results for the given quer.
Show child attributes
Show child attributes
The list of city results for the given query.
Show child attributes
Show child attributes
The list of country results for the given query.
Show child attributes
Show child attributes
The list of region results for the given query.
Show child attributes
Show child attributes
The list of neighborhood results for the given query.
Show child attributes
Show child attributes
The list of address results for the given query.
Show child attributes
Show child attributes
The list of street results for the given query.
Show child attributes
Show child attributes
The list of mixed results for the given query.
Show child attributes
Show child attributes
Information about location resolved from either the coordinates of the location string.
Show child attributes
Show child attributes